commit: da7d9e85b3a40e802423651197c2928285baed20
Author: Niccolò Scatena <speedjack95 <AT> gmail <DOT> com>
AuthorDate: Sat Feb 9 15:43:51 2019 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed Feb 13 00:04:16 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da7d9e85
dev-libs/wlroots: minor fixes
- Update copyright header in all versions;
- Use ${PN} wherever possible;
- Remove explicit dependency on meson (no longer required);
- Fix the order of (R)DEPEND;
- wayland-protocols is a build-time dependency: move it in BDEPEND;
- Add xcb-util-image dependency (required);
- Remove `xkb` flag from libxcb dep (not required for >=wlroots-0.2).
Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Niccolò Scatena <speedjack95 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11017
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
dev-libs/wlroots/metadata.xml | 2 +-
dev-libs/wlroots/wlroots-0.1.ebuild | 48 ++++++++++++++++++++----------------
dev-libs/wlroots/wlroots-0.2.ebuild | 48 ++++++++++++++++++++----------------
dev-libs/wlroots/wlroots-0.3.ebuild | 48 ++++++++++++++++++++----------------
dev-libs/wlroots/wlroots-9999.ebuild | 48 ++++++++++++++++++++----------------
5 files changed, 109 insertions(+), 85 deletions(-)
diff --git a/dev-libs/wlroots/metadata.xml b/dev-libs/wlroots/metadata.xml
index c5b96abdf82..5fb5999bdba 100644
--- a/dev-libs/wlroots/metadata.xml
+++ b/dev-libs/wlroots/metadata.xml
@@ -9,7 +9,7 @@
<email>[email protected]</email>
<name>Niccolò Scatena</name>
</maintainer>
- <longdescription>
+ <longdescription lang="en">
Pluggable, composable, unopinionated modules for building a
Wayland
compositor.
diff --git a/dev-libs/wlroots/wlroots-0.1.ebuild
b/dev-libs/wlroots/wlroots-0.1.ebuild
index eae2493458c..ccb05632597 100644
--- a/dev-libs/wlroots/wlroots-0.1.ebuild
+++ b/dev-libs/wlroots/wlroots-0.1.ebuild
@@ -1,29 +1,29 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-if [[ ${PV} == 9999 ]] ; then
- EGIT_REPO_URI="https://github.com/swaywm/wlroots.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/swaywm/wlroots/archive/${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-
inherit fcaps meson
DESCRIPTION="Pluggable, composable, unopinionated modules for building a
Wayland compositor"
HOMEPAGE="https://github.com/swaywm/wlroots"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
LICENSE="MIT"
SLOT="0"
IUSE="elogind icccm rootston systemd x11-backend X"
REQUIRED_USE="?? ( elogind systemd )"
-RDEPEND=">=dev-libs/libinput-1.7.0:0=
+DEPEND="
+ >=dev-libs/libinput-1.7.0:0=
>=dev-libs/wayland-1.16.0
- >=dev-libs/wayland-protocols-1.15
media-libs/mesa[egl,gles2,gbm]
virtual/libudev
x11-libs/libdrm
@@ -36,10 +36,16 @@ RDEPEND=">=dev-libs/libinput-1.7.0:0=
X? (
x11-base/xorg-server[wayland]
x11-libs/libxcb:0=
- )"
-DEPEND="${RDEPEND}"
-BDEPEND=">=dev-util/meson-0.48
- virtual/pkgconfig"
+ x11-libs/xcb-util-image
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.15
+ virtual/pkgconfig
+"
FILECAPS=( cap_sys_admin usr/bin/rootston )
@@ -52,13 +58,13 @@ src_configure() {
-Dxcb-xkb=$(usex x11-backend enabled disabled)
-Dxwayland=$(usex X enabled disabled)
-Dx11-backend=$(usex x11-backend enabled disabled)
- -Drootston=$(usex rootston true false)
+ $(meson_use rootston)
"-Dexamples=false"
"-Dwerror=false"
)
- if use systemd ; then
+ if use systemd; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=systemd")
- elif use elogind ; then
+ elif use elogind; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=elogind")
else
emesonargs+=("-Dlogind=disabled")
@@ -68,7 +74,7 @@ src_configure() {
}
src_install() {
- if use rootston ; then
+ if use rootston; then
dobin "${BUILD_DIR}"/rootston/rootston
newdoc rootston/rootston.ini.example rootston.ini
fi
@@ -79,13 +85,13 @@ src_install() {
pkg_postinst() {
elog "You must be in the input group to allow your compositor"
elog "to access input devices via libinput."
- if use rootston ; then
+ if use rootston; then
elog ""
elog "You should copy (and decompress) the example
configuration file"
elog "from ${EROOT:-${ROOT}}/usr/share/doc/${PF}/rootston.ini"
elog "to the working directory from where you launch rootston"
elog "(or pass the '-C path-to-config' option to rootston)."
- if ! use systemd && ! use elogind ; then
+ if ! use systemd && ! use elogind; then
elog ""
elog "If you use ConsoleKit2, remember to launch
rootston using:"
elog "exec ck-launch-session rootston"
diff --git a/dev-libs/wlroots/wlroots-0.2.ebuild
b/dev-libs/wlroots/wlroots-0.2.ebuild
index c3bccd9f7fe..a3427d6c6fc 100644
--- a/dev-libs/wlroots/wlroots-0.2.ebuild
+++ b/dev-libs/wlroots/wlroots-0.2.ebuild
@@ -1,29 +1,29 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-if [[ ${PV} == 9999 ]] ; then
- EGIT_REPO_URI="https://github.com/swaywm/wlroots.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/swaywm/wlroots/archive/${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-
inherit fcaps meson
DESCRIPTION="Pluggable, composable, unopinionated modules for building a
Wayland compositor"
HOMEPAGE="https://github.com/swaywm/wlroots"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
LICENSE="MIT"
SLOT="0"
IUSE="elogind icccm rootston systemd x11-backend X"
REQUIRED_USE="?? ( elogind systemd )"
-RDEPEND=">=dev-libs/libinput-1.7.0:0=
+DEPEND="
+ >=dev-libs/libinput-1.7.0:0=
>=dev-libs/wayland-1.16.0
- >=dev-libs/wayland-protocols-1.15
media-libs/mesa[egl,gles2,gbm]
virtual/libudev
x11-libs/libdrm
@@ -36,10 +36,16 @@ RDEPEND=">=dev-libs/libinput-1.7.0:0=
X? (
x11-base/xorg-server[wayland]
x11-libs/libxcb:0=
- )"
-DEPEND="${RDEPEND}"
-BDEPEND=">=dev-util/meson-0.48
- virtual/pkgconfig"
+ x11-libs/xcb-util-image
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.15
+ virtual/pkgconfig
+"
FILECAPS=( cap_sys_admin usr/bin/rootston )
@@ -51,13 +57,13 @@ src_configure() {
-Dxcb-icccm=$(usex icccm enabled disabled)
-Dxwayland=$(usex X enabled disabled)
-Dx11-backend=$(usex x11-backend enabled disabled)
- -Drootston=$(usex rootston true false)
+ $(meson_use rootston)
"-Dexamples=false"
"-Dwerror=false"
)
- if use systemd ; then
+ if use systemd; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=systemd")
- elif use elogind ; then
+ elif use elogind; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=elogind")
else
emesonargs+=("-Dlogind=disabled")
@@ -67,7 +73,7 @@ src_configure() {
}
src_install() {
- if use rootston ; then
+ if use rootston; then
dobin "${BUILD_DIR}"/rootston/rootston
newdoc rootston/rootston.ini.example rootston.ini
fi
@@ -78,13 +84,13 @@ src_install() {
pkg_postinst() {
elog "You must be in the input group to allow your compositor"
elog "to access input devices via libinput."
- if use rootston ; then
+ if use rootston; then
elog ""
elog "You should copy (and decompress) the example
configuration file"
elog "from ${EROOT:-${ROOT}}/usr/share/doc/${PF}/rootston.ini"
elog "to the working directory from where you launch rootston"
elog "(or pass the '-C path-to-config' option to rootston)."
- if ! use systemd && ! use elogind ; then
+ if ! use systemd && ! use elogind; then
elog ""
elog "If you use ConsoleKit2, remember to launch
rootston using:"
elog "exec ck-launch-session rootston"
diff --git a/dev-libs/wlroots/wlroots-0.3.ebuild
b/dev-libs/wlroots/wlroots-0.3.ebuild
index c762765d60b..c96b1fcfc3f 100644
--- a/dev-libs/wlroots/wlroots-0.3.ebuild
+++ b/dev-libs/wlroots/wlroots-0.3.ebuild
@@ -3,27 +3,27 @@
EAPI=7
-if [[ ${PV} == 9999 ]] ; then
- EGIT_REPO_URI="https://github.com/swaywm/wlroots.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/swaywm/wlroots/archive/${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-
inherit fcaps meson
DESCRIPTION="Pluggable, composable, unopinionated modules for building a
Wayland compositor"
HOMEPAGE="https://github.com/swaywm/wlroots"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
LICENSE="MIT"
SLOT="0"
IUSE="elogind icccm rootston systemd x11-backend X"
REQUIRED_USE="?? ( elogind systemd )"
-RDEPEND=">=dev-libs/libinput-1.7.0:0=
+DEPEND="
+ >=dev-libs/libinput-1.7.0:0=
>=dev-libs/wayland-1.16.0
- >=dev-libs/wayland-protocols-1.15
media-libs/mesa[egl,gles2,gbm]
virtual/libudev
x11-libs/libdrm
@@ -32,14 +32,20 @@ RDEPEND=">=dev-libs/libinput-1.7.0:0=
elogind? ( >=sys-auth/elogind-237 )
icccm? ( x11-libs/xcb-util-wm )
systemd? ( >=sys-apps/systemd-237 )
- x11-backend? ( x11-libs/libxcb:0=[xkb] )
+ x11-backend? ( x11-libs/libxcb:0= )
X? (
x11-base/xorg-server[wayland]
x11-libs/libxcb:0=
- )"
-DEPEND="${RDEPEND}"
-BDEPEND=">=dev-util/meson-0.48
- virtual/pkgconfig"
+ x11-libs/xcb-util-image
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.16
+ virtual/pkgconfig
+"
FILECAPS=( cap_sys_admin usr/bin/rootston )
@@ -51,13 +57,13 @@ src_configure() {
-Dxcb-icccm=$(usex icccm enabled disabled)
-Dxwayland=$(usex X enabled disabled)
-Dx11-backend=$(usex x11-backend enabled disabled)
- -Drootston=$(usex rootston true false)
+ $(meson_use rootston)
"-Dexamples=false"
"-Dwerror=false"
)
- if use systemd ; then
+ if use systemd; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=systemd")
- elif use elogind ; then
+ elif use elogind; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=elogind")
else
emesonargs+=("-Dlogind=disabled")
@@ -67,7 +73,7 @@ src_configure() {
}
src_install() {
- if use rootston ; then
+ if use rootston; then
dobin "${BUILD_DIR}"/rootston/rootston
newdoc rootston/rootston.ini.example rootston.ini
fi
@@ -78,13 +84,13 @@ src_install() {
pkg_postinst() {
elog "You must be in the input group to allow your compositor"
elog "to access input devices via libinput."
- if use rootston ; then
+ if use rootston; then
elog ""
elog "You should copy (and decompress) the example
configuration file"
elog "from ${EROOT:-${ROOT}}/usr/share/doc/${PF}/rootston.ini"
elog "to the working directory from where you launch rootston"
elog "(or pass the '-C path-to-config' option to rootston)."
- if ! use systemd && ! use elogind ; then
+ if ! use systemd && ! use elogind; then
elog ""
elog "If you use ConsoleKit2, remember to launch
rootston using:"
elog "exec ck-launch-session rootston"
diff --git a/dev-libs/wlroots/wlroots-9999.ebuild
b/dev-libs/wlroots/wlroots-9999.ebuild
index c3bccd9f7fe..c96b1fcfc3f 100644
--- a/dev-libs/wlroots/wlroots-9999.ebuild
+++ b/dev-libs/wlroots/wlroots-9999.ebuild
@@ -1,29 +1,29 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-if [[ ${PV} == 9999 ]] ; then
- EGIT_REPO_URI="https://github.com/swaywm/wlroots.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/swaywm/wlroots/archive/${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-
inherit fcaps meson
DESCRIPTION="Pluggable, composable, unopinionated modules for building a
Wayland compositor"
HOMEPAGE="https://github.com/swaywm/wlroots"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
LICENSE="MIT"
SLOT="0"
IUSE="elogind icccm rootston systemd x11-backend X"
REQUIRED_USE="?? ( elogind systemd )"
-RDEPEND=">=dev-libs/libinput-1.7.0:0=
+DEPEND="
+ >=dev-libs/libinput-1.7.0:0=
>=dev-libs/wayland-1.16.0
- >=dev-libs/wayland-protocols-1.15
media-libs/mesa[egl,gles2,gbm]
virtual/libudev
x11-libs/libdrm
@@ -36,10 +36,16 @@ RDEPEND=">=dev-libs/libinput-1.7.0:0=
X? (
x11-base/xorg-server[wayland]
x11-libs/libxcb:0=
- )"
-DEPEND="${RDEPEND}"
-BDEPEND=">=dev-util/meson-0.48
- virtual/pkgconfig"
+ x11-libs/xcb-util-image
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.16
+ virtual/pkgconfig
+"
FILECAPS=( cap_sys_admin usr/bin/rootston )
@@ -51,13 +57,13 @@ src_configure() {
-Dxcb-icccm=$(usex icccm enabled disabled)
-Dxwayland=$(usex X enabled disabled)
-Dx11-backend=$(usex x11-backend enabled disabled)
- -Drootston=$(usex rootston true false)
+ $(meson_use rootston)
"-Dexamples=false"
"-Dwerror=false"
)
- if use systemd ; then
+ if use systemd; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=systemd")
- elif use elogind ; then
+ elif use elogind; then
emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=elogind")
else
emesonargs+=("-Dlogind=disabled")
@@ -67,7 +73,7 @@ src_configure() {
}
src_install() {
- if use rootston ; then
+ if use rootston; then
dobin "${BUILD_DIR}"/rootston/rootston
newdoc rootston/rootston.ini.example rootston.ini
fi
@@ -78,13 +84,13 @@ src_install() {
pkg_postinst() {
elog "You must be in the input group to allow your compositor"
elog "to access input devices via libinput."
- if use rootston ; then
+ if use rootston; then
elog ""
elog "You should copy (and decompress) the example
configuration file"
elog "from ${EROOT:-${ROOT}}/usr/share/doc/${PF}/rootston.ini"
elog "to the working directory from where you launch rootston"
elog "(or pass the '-C path-to-config' option to rootston)."
- if ! use systemd && ! use elogind ; then
+ if ! use systemd && ! use elogind; then
elog ""
elog "If you use ConsoleKit2, remember to launch
rootston using:"
elog "exec ck-launch-session rootston"